VectorLinux

Cooking up the Treats => New Package Requests => Topic started by: Joe1962 on October 01, 2008, 07:10:22 am

Title: Gimp 2.6.0
Post by: Joe1962 on October 01, 2008, 07:10:22 am
Well, Gimp 2.6.0 stable was released today. This is a major milestone in interface and engine redesign which should make the good old Gimp even better.

Screenshots: http://www.gimp.org/screenshots/
Release notes: http://gimp.org/release-notes/gimp-2.6.html
Downloads: http://www.gimp.org/downloads/

Packagers, what are you waiting for... ;D
Title: Re: Gimp 2.6.0
Post by: GrannyGeek on October 01, 2008, 07:59:58 pm
I'm salivating.<g> I hope we have a VL package soon.
--GrannyGeek
Title: Re: Gimp 2.6.0
Post by: MikeCindi on October 01, 2008, 08:00:21 pm
They just got 2.4.7 up and running! Oh well what's a little more bandwidth for a great package...?
Title: Re: Gimp 2.6.0
Post by: Masta on October 01, 2008, 08:58:20 pm
you can bet that I am chucking the butt on my cigar for this  ;D
(no I don't smoke cigars)  :D
Title: Re: Gimp 2.6.0
Post by: pevsner on October 06, 2008, 07:42:17 pm
Really keen on getting a package this version.
2.4.7 was ok to compile (now in repo I see). I tried compiling 2.6.0 but ran into problems with gegl and babl.

Title: Re: Gimp 2.6.0
Post by: uelsk8s on October 06, 2008, 07:49:20 pm
there is a package for 6.0 in the repo.
gimp-2.6 will not compile on 5.9 without effectively upgrading to 6.0  :)
Title: Re: Gimp 2.6.0
Post by: pevsner on October 07, 2008, 05:41:04 am
Ahhh ty uelsk8. I havent tried the latest 6.0 test yet, might give it a go, and try compiling.
Title: Re: Gimp 2.6.0
Post by: caitlyn on October 10, 2008, 04:03:24 pm
A **LOT** of bugs have been reported in 2.6.0.  I think I'm going to wait until a few things get sorted out.
Title: Re: Gimp 2.6.0
Post by: newt on October 10, 2008, 05:22:54 pm
FWIW, v2.6.1 was released yesterday as a bugfix version
Title: Re: Gimp 2.6.0
Post by: Masta on October 12, 2008, 11:44:06 am
Yes, still some bugs, but most importantly, many scripts and plug-ins have not been moved to this version yet :( . Looks like it will be some time before I'll be able to upgrade and still perform.
Title: Re: Gimp 2.6.0
Post by: Joe1962 on October 14, 2008, 12:19:15 pm
FWIW, I compiled and installed the latest glib2, pango, pixman, cairo and gtk+2, then babl, gegl (those two roll off the tongue pretty weird, eh?) and gimp-2.6.1 on 5.9.1 SOHO with no ill effects as far as I can determine in my tests. Gimp-2.6.1 works nicely, too... ;D
Title: Re: Gimp 2.6.0
Post by: Masta on October 15, 2008, 07:59:50 pm
I'm not too keen on the menu box not having menu anymore. My biggest problem is that the Menu Box and the Layers Box are now Windows, which are set to "always be on top", and no way to change that. That becomes a real PITA when trying to edit an image in full screen mode. Next up is that many plug's are not compatible with this version. I have some plug-ins I've made since 1.x version of gimp and they have always been able to be converted to recent, until now.

I'll stick with older gimp versions until the gimp dev's can tackle these few things  ;)

New gimp does have some nice features, but some are just in the way  :(
Title: Re: Gimp 2.6.0
Post by: caitlyn on October 28, 2008, 07:48:05 pm
GIMP 2.6.1 is now in the VL 6.0 repo for those who might have missed the announcement.  I'm running the VL Light 6.0 alpha 0.11 and it is amazingly close to ready for prime time.  GIMP 2.6.1 works perfectly well on 6.0 Light.
Title: Re: Gimp 2.6.0
Post by: Dweeberkitty on December 14, 2008, 01:23:37 pm
I have built Gimp 2.6.3 for VL 5.9 and will upload it and the deps shortly.
Title: Re: Gimp 2.6.0
Post by: Dweeberkitty on December 16, 2008, 07:55:57 am
Oops, built with Nvidia installed. Will recompile.  ;D
Title: Re: Gimp 2.6.0
Post by: Dweeberkitty on December 18, 2008, 08:49:27 pm
Umm, yeah, there seems to be a bug in xfce4-panel in vl 5.9 std. I get a segmentation fault after upgrading to the latest gtk. Of course everything seems to work fine in SOHO.
Title: Re: Gimp 2.6.0
Post by: Dweeberkitty on December 20, 2008, 10:28:57 am
Downgrading to gtk+-2.12.12 fixes this. Now we might have gimp 2.6 for VL 5.9 after all!